Skip to main content
PCI-DSS ComplianceThe customer’s payment information should never reach your servers unless you are PCI-DSS certified. Your site must be PCI-DSS certified to accept, process, store or transmit customer’s card details securely to Razorpay.

Tokens API

/customers/:customer_id/tokens/public
Example Request

Path Parameter

customer-id mandatory : string Unique identifier of the customer. You can create a customer using API or via the Dashboard.

Request Parameters

method mandatory : string The payment method selected by the customer on checkout. Here, it should be card. card : Details of the customer’s card. number mandatory : integer The card number. name mandatory : string The name on the card. expiry_month mandatory : string The expiry month of the card in MM format. expiry_year mandatory : string The expiry year of the card in YY format. All server-side requests must be authenticated with Basic Auth using the [KEY_ID] as username. You can generate your API keys on the Dashboard.